SELECT
    t.[Symbol]
    , t.[LoadDate]
    , t.[Report]
    , t.[Key]
    , t.[Value]
FROM
    (
    SELECT
        [Symbol] AS [Symbol]
        , [LoadDate] AS [LoadDate]
        , [Report] AS [Report]
        , [Key] AS [Key]
        , [Value] AS [Value]
    FROM
        OPENROWSET(
            BULK 'data.csv',
            FORMATFILE = 'data.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
