@echo off

set url1="https://www.msn.com/en-us/money/stockdetailsvnext/financials/balance_sheet/annual/fi-{symbol}"
set url2="https://www.msn.com/en-us/money/stockdetailsvnext/financials/balance_sheet/quarterly/fi-{symbol}"
set url3="https://www.msn.com/en-us/money/stockdetailsvnext/financials/income_statement/annual/fi-{symbol}"
set url4="https://www.msn.com/en-us/money/stockdetailsvnext/financials/income_statement/quarterly/fi-{symbol}"
set url5="https://www.msn.com/en-us/money/stockdetailsvnext/financials/cash_flow/annual/fi-{symbol}"
set url6="https://www.msn.com/en-us/money/stockdetailsvnext/financials/cash_flow/quarterly/fi-{symbol}"

if exist data.csv del data.csv

gsqlcmd convert %url1% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=bs_a
gsqlcmd convert %url2% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=bs_q
gsqlcmd convert %url3% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=is_a
gsqlcmd convert %url4% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=is_q
gsqlcmd convert %url5% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=cf_a
gsqlcmd convert %url6% data.csv /append /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /nosourceheaders /add=Symbol={Symbol};LoadDate=Now();Report=cf_q

if .%1.==./Q. goto :EOF

start notepad.exe data.csv

@pause
